import { select, arc, scaleLinear,max,scaleBand, axisBottom,axisLeft} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

var TelescopeData=[
{Average: 2000, TelescopeName:'1 meter'},
{Average: 3000, TelescopeName:'1.9 meter'},
{Average: 4000, TelescopeName:'Lesedi'},
];

var padding={top:20, right:30, bottom:30, left:100};

const innerWidth= width-padding.left-padding.right
const innerHeight= height-padding.top-padding.bottom

const title='Shatter open time'

var colors= ['red','black','green'];

var yScale= scaleLinear()
.domain([0, max(TelescopeData, d=>d.Average)])
.range([innerHeight, 0])
.nice()


var xScale = scaleBand()
.domain(TelescopeData.map(function(d){return d.TelescopeName}))
.range([0, innerWidth])
.padding(.3)


//xAxis
const xAxis=svg.append('g')
.classed('xAxis', true)
.attr('transform',`translate(${padding.left},${innerHeight+padding.top})`)
.call(axisBottom(xScale))

//yAxis
const yAxis=svg.append('g')
.classed('yAxis',true)
.attr('transform',`translate(${padding.left},${padding.top})`)
.call(axisLeft(yScale))

// now adding the data

const rectGrp=svg.append('g')
.attr('transform',`translate(${padding.left},${padding.top})`);

rectGrp.selectAll('rect')
.data(TelescopeData)
.enter().append('rect')
.attr('width',xScale.bandwidth())
.attr('height', function(d,i){
 return innerHeight-yScale(d.Average) 
})
.attr('x', function(d){
return xScale(d.TelescopeName)
})
.attr('y',function(d){
return yScale(d.Average)
})
.attr('fill',function(d,i){
return colors[i];
});

svg.append('g')














